Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.model
Class Drawing.DefaultDrawingEvent

    java.lang.Object
      jpicedt.graphic.model.Drawing.DefaultDrawingEvent

All Implemented Interfaces:
  DrawingEvent

Enclosing class:
  Drawing

public class Drawing.DefaultDrawingEvent
extends Object
implements DrawingEvent

an implementation of DrawingEvent

Nested Class Summary

Nested classes inherited from class jpicedt.graphic.event.DrawingEvent
`DrawingEvent.EventType`

Constructor Summary
`Drawing.DefaultDrawingEvent(Element element, DrawingEvent.EventType type)`

Method Summary
`Drawing` | `getDrawing()` Return the source of this event
`Element` | `getElement()` Return the graphic element that changed
`DrawingEvent.EventType` | `getType()` Return the event type
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Drawing.DefaultDrawingEvent

    public Drawing.DefaultDrawingEvent(Element element,
                                       DrawingEvent.EventType type)

Parameters:
  `element` - the changed Element
  `type` - the event type

Method Detail

### getDrawing

    public Drawing getDrawing()

  Description copied from interface: `DrawingEvent`
  Return the source of this event

  Specified by:
    `getDrawing` in interface `DrawingEvent`
  Returns:
    the source of this event

### getElement

    public Element getElement()

  Description copied from interface: `DrawingEvent`
  Return the graphic element that changed

  Specified by:
    `getElement` in interface `DrawingEvent`
  Returns:
    the changed Element

### getType

    public DrawingEvent.EventType getType()

  Description copied from interface: `DrawingEvent`
  Return the event type

  Specified by:
    `getType` in interface `DrawingEvent`
  Returns:
    the event type

### toString

    public String toString()

  Returns:
    a string describing this event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org